#
#	Makefile for xraw
# 
TOP = ../../..
LIBS = -lutil

# Applications to be built
APPS = \
Workspace \

# Files to be compiled for each application
Workspace_OBJS = \
Workspace.o \
Cell.o \
Browser.o \
Matrix.o \
Finder.o \
Shelf.o \
Controller.o

$(TARGET)_PRINCIPAL_CLASS = Controller

# Resource files to be copied into the app's resources directory
Workspace_RESOURCES = \
folder.tiff \
../Resources/host.tiff \
../Resources/select.tiff \
../Edit/Resources/text.tiff \
../Edit/Resources/rtf.tiff \
../Edit/Resources/rtfd.tiff \

Workspace_ICON = cabinet.tiff

#
#	Include Makefiles 
# 
include $(TOP)/Makefiles/app.make


all::								# remove app from parent dir if it exists
									# and then move app to parent dir 
	if [ -d ../Workspace.app ]; then \
		rm -rf ../Workspace.app; \
	fi								
	if [ -d $(TOP)/../tiffs ]; then \
	    cp /usr/src/tiffs/cfile.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/mfile.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/hfile.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/cpp.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/html.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/gif.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/jpg.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/tiff.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/au.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/wav.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/mpg.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/mov.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/mp3.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/tga.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/xpm.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/pdf.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/png.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/multiple.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/unknown.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/cabinet.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/search.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/stop.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/openFolder.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/depositFolder.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/bz2.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/gz.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/zip.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/tar.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/tgz.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/rpm.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/ps.tiff ./Workspace.app/Resources; \
	    cp /usr/src/tiffs/unix.tiff ./Workspace.app/Resources; \
	fi
	if [ -d ./Workspace.app ]; then \
	    mv ./Workspace.app ..; \
	fi
